Bug 23784 - UMC-UDM: Klick auf neu angelegte Superordinates öffnet Detailseite
UMC-UDM: Klick auf neu angelegte Superordinates öffnet Detailseite
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 3.0
Other Linux
: P5 normal (vote)
: UCS 3.0 - RC
Assigned To: Alexander Kläser
Stefan Gohmann
: interim-3
Depends on:
Blocks: 25008
  Show dependency treegraph
 
Reported: 2011-09-22 21:43 CEST by Alexander Kläser
Modified: 2011-12-13 15:47 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2011-09-22 21:43:06 CEST
Nach Anlegen eines neuen DHCP-Service-Objektes wird dieses der Suche hinzugefügt, allerdings wird es erst nach erneutem Öffnen des Tabs auch in der Liste der Superordinates (im Suchformular) sichtbar. Dadurch kann man auch nicht auf das Objekt klicken, um seine untergeordneten Objekte zu sehen.
Comment 1 Alexander Kläser univentionstaff 2011-11-25 17:16:00 CET
Der Fehler wurde behoben. Gleichzeitig wurde auch das aktuelle Superordinate als Vorauswahl für den Dialog "Neues Objekt hinzufügen".


 univention-management-console-module-udm (1.0.230-1) unstable; urgency=low
 . 
   * update list of superordinates when a new object is added
   * preselect currently selected superordinate when adding a new object
   * adapted style of remove object dialog
   (Bug #23784)
Comment 2 Stefan Gohmann univentionstaff 2011-11-26 22:21:27 CET
Ich habe eine neue DNS Forward Zone hinzugefügt und habe anschließend direkt drauf geklickt. Dann wurde direkt der Edit Dialog für die Zone gestartet:

univention-management-console-module-udm 1.0.248-1.160.201111251808
Comment 3 Alexander Kläser univentionstaff 2011-11-28 11:10:41 CET
(In reply to comment #2)
> Ich habe eine neue DNS Forward Zone hinzugefügt und habe anschließend direkt
> drauf geklickt. Dann wurde direkt der Edit Dialog für die Zone gestartet:
> 
> univention-management-console-module-udm 1.0.248-1.160.201111251808

Stimmt, die Versionsnummern wurden bei einem Merge des Changelogs nicht korrekt übernommen, 1.0.230-1 hätte 1.0.250-1 sein sollen. Somit wurde das neue Paket wegen falscher und zu niedriger Versionsnummer nicht installiert. Das wurde jetzt angepasst:


 univention-management-console-module-udm (1.0.252-1) unstable; urgency=low
 . 
   * fixed autoselection of search text (Bug #22881)
Comment 4 Stefan Gohmann univentionstaff 2011-11-28 13:18:06 CET
Wie besprochen, nach dem Hinzufügen eines PTR Records in einer neu angelegten Reverse Zone ist der Button "Alle DNS-Zonen zeigen" nicht mehr da. Wenn das zu aufwendig ist -> 3.0-1.
Comment 5 Alexander Kläser univentionstaff 2011-11-28 15:54:51 CET
(In reply to comment #4)
> Wie besprochen, nach dem Hinzufügen eines PTR Records in einer neu angelegten
> Reverse Zone ist der Button "Alle DNS-Zonen zeigen" nicht mehr da. Wenn das zu
> aufwendig ist -> 3.0-1.

Stimmt, das sollte jetzt funktionieren. Mit dem eingespielten Patch konnte ich das Problem nicht wieder reproduzieren.


 univention-management-console-module-udm (1.0.254-1) unstable; urgency=low
 .
   * fixed removal of up-button when a new object is created (Bug #23784)
Comment 6 Stefan Gohmann univentionstaff 2011-11-28 20:09:35 CET
Funktioniert
Comment 7 Sönke Schwardt-Krummrich univentionstaff 2011-12-13 15:41:38 CET
UCS 3.0-0 wurde veröffentlicht. Sollte der hier beschriebene Bug mit einer
neueren Version von UCS erneut auftreten, so sollte dieser Bug dupliziert werden:
"Clone This Bug"